// DynamicLoadFile zapise do hlavicky subor css/js
// SetFile = cesta k suboru *.css alebo *.js
function DynamicLoadFile(SetFile) {
	var lg = SetFile.length;
	var i  = 4;
	var sb = SetFile.substr( (lg-i),i);
	var dt = '.';
	var s;
	var headID = document.getElementsByTagName("head")[0];
	
	while(true) {
		s = sb.substr(0,1);
		if(!s) break;
		sb = sb.substr(1,(--i));
		if(s==dt) break;
	}
	switch(sb) {
		case 'css' : 
			var cssNode = document.createElement('link');
			cssNode.type = 'text/css';
			cssNode.rel = 'stylesheet';
			cssNode.href = SetFile;
			cssNode.media = 'screen';
			headID.appendChild(cssNode);
			return true;
		break;
		case 'js' :
			var newScript = document.createElement('script');
			newScript.type = 'text/javascript';
			newScript.src = SetFile;
			headID.appendChild(newScript);
			return true;
		break;
		default :
			alert("DynamicLoadFile("+SetFile+")\n--------------------------\n\"Cybny typ suboru\"");
			return false;
		break;
	}
}

// ----------- pohyb objektu na drag & drop -------------------
// reaguje na tahanie mysou (drag & drop) pre objekty, ktore maju class="dragclass"
//Drag and Drop script - http://www.btinternet.com/~kurt.grigg/javascript
//import("function-move.js");

/*if  (document.getElementById){
(function(){
//Stop Opera selecting anything whilst dragging.
if (window.opera){
document.write("<input type='hidden' id='Q' value=' '>");
}
var mv_n = 500;
var mv_dragok = false;
var mv_y,mv_x,mv_d,mv_dy,mv_dx;

function mv_move(mv_e){
if (!mv_e) mv_e = window.event;
 if (mv_dragok){
  mv_d.style.left = mv_dx + mv_e.clientX - mv_x + "px";
  mv_d.style.top  = mv_dy + mv_e.clientY - mv_y + "px";
  return false;
 }
}
function mv_down(mv_e){
if (!mv_e) mv_e = window.event;
var mv_temp = (typeof mv_e.target != "undefined")?mv_e.target:mv_e.srcElement;
if (mv_temp.tagName != "HTML"|"BODY" && mv_temp.className != "dragclass"){
 mv_temp = (typeof mv_temp.parentNode != "undefined")?mv_temp.parentNode:mv_temp.parentElement;
 }
if (mv_temp.className == "dragclass"){
 if (window.opera){
  document.getElementById("Q").focus();
 }
 mv_dragok = true;
 mv_temp.style.zIndex = mv_n++;
 mv_d = mv_temp;
 mv_dx = parseInt(mv_temp.style.left+0);
 mv_dy = parseInt(mv_temp.style.top+0);
 mv_x = mv_e.clientX;
 mv_y = mv_e.clientY;
 document.onmousemove = mv_move;
 return false;
 }
}
function mv_up(){
mv_dragok = false;
document.onmousemove = null;
}
document.onmousedown = mv_down;
document.onmouseup = mv_up;
})();
}//End.*/
// ----------- END - pohyb objektu na drag & drop -------------------




// ----------- pohyb objektu v smere -------------------
var Tik = 10; // pocet milisekund simulacneho kroku
// Trieda CPohyb obsluhuje pohybujuci objekt
function CPohyb(Obj, y, xOd, xDo, Interval, Krok, Smer)
{
	this.Obj = Obj;           // obsluhovany objekt
	this.xOd = this.x = xOd;  // lava medza
	this.xDo = xDo;           // prava medza
	this.Interval = Interval; // interval medzi dvoma krokmi
	this.Krok = Krok;         // krok - zmena polohy na osi x
	this.Cas = 0;             // pocitadlo casu
	this.Smer = Smer;         // smer pohybu: 1=vpravo, -1=vlavo
	
	// Nastavenie vychodzej polohy objektu
	this.Obj.style.position="absolute";
	this.Obj.style.top=y+"px";
	this.Obj.style.left=xOd+"px";
	
	// Clenska metoda - posun objektu
	this.Posun = Posun;
	function Posun ()
	{
	  if(StopPohyb) StopPohyb=!StopPohyb;
	  this.Cas+=Tik;
	  if (this.Cas>=this.Interval)
	  { // Uplynul cas vacsi alebo rovny ako je pozadovany interval
	    this.Cas=0;
	    this.x+=this.Smer*this.Krok;
	    this.Obj.style.left=this.x+"px";
	    // Urcenie smeru pri nasledujucom kroku
		if(this.Smer==1 && this.x>this.xDo) { // vlavo
			StopPohyb=!StopPohyb;
		} else if(this.Smer==-1 && this.x<this.xDo) { // vpravo
			StopPohyb=!StopPohyb;
		}
	  }
	}
}

// Pole pre posuvane objekty
var PObjekty = new Array();
var StopPohyb = false;
function Casovac()
{
  if (StopPohyb==true) return;
  for (i=0; i< PObjekty.length; i++)
  {
    PObjekty[i].Posun();
  }
}

// startovacia sekvencia pohybu
function StartPohyb( Obj, y, xOd, xDo, Interval, Krok, Smer) // Smer=[1,-1]=[vpravo,vlavo]
{
	StopPohyb = false;
	PObjekty.push (new CPohyb(Obj, y, xOd, xDo, Interval, Krok, Smer));
	window.setInterval('Casovac()', Tik);
}
// ------------ koniec: pohyb objektu  v smere ------------------




// kontrola existencie suboru
function isFile(str) {
    var O= AJ();
    if(!O) return false;
    try
    {
        O.open("HEAD", str, false);
        //O.send(null);
	return true
        return (O.status==200) ? true : false;
    }
    catch(er)
    {
        return false;
    }
}
function AJ() {
    var obj;
    if (window.XMLHttpRequest)
    {
        obj= new XMLHttpRequest();
    }
    else if (window.ActiveXObject) 
    {
        try
        {
            obj= new ActiveXObject('MSXML2.XMLHTTP.3.0');
        }
        catch(er)
        {
            obj=false;
        }
    }
    return obj;
}


// pauza v JS
function pause(millis) { // http://www.sean.co.uk/a/webdesign/javascriptdelay.shtm
	var date = new Date();
	var curDate = null;
	do { curDate = new Date(); } 
	while(curDate-date < millis);
}


// funkcia: onmouse -> On Mouse Over/Out/Click
//                  -> vyuziva sa na zmenu farebnosti aktualneho prvku podla nazvov v class (css)
//                  -> metody: onmouseover, onmouseout
// obj = meneny objekt      // standartne this
// cssover = meno css (class) farby ak over
// cssaout = meno css (class) farby ak out
function onmouse(event, obj, cssover, cssout){
	var cn; // class name
	var et; // event type -> onmouseover, onmouseout, onclick
	et = event.type;
	if( (et == "mouseover") || (et == "mouseout") ) {
		if(obj.tag == "click") return false;
		omo_cssover = cssover;
		cn = (et == "mouseover") ? cssover : cssout;
		obj.className = cn;
	} else if ( (et == "click") || (et == "dblclick") ) {
		//alert('obj.tag = ' + obj.tag);
		cn = (obj.tag == "click") ? cssout : cssover;
		obj.tag = (obj.tag == "click") ? undefined : "click";
		obj.className = cn;
	} else {
		alert('function onmouse(...)\r\net = '+et+'\r\nreturn false');
		return false;
	}
}

/* ------------------------ NAJDI POZICIU OBJEKTU -------------------- */
// posunie objekt "obj2" na poziciu objektu "obj" a pripocita "plusX" (left) a "plusY" (top)
function movePosXY( obj , obj2 , plusX , plusY ) {
	var x = findPosX(obj);
	var y = findPosY(obj);
	obj2.style.left = x + plusX;
	obj2.style.top  = y + plusY;
}
function findPosX(obj) {
    var curleft = 0;
    if(obj.offsetParent)
        while(1) 
        {
          curleft += obj.offsetLeft;
          if(!obj.offsetParent)
            break;
          obj = obj.offsetParent;
        }
    else if(obj.x)
        curleft += obj.x;
    return curleft;
}

function findPosY(obj) {
    var curtop = 0;
    if(obj.offsetParent)
        while(1)
        {
          curtop += obj.offsetTop;
          if(!obj.offsetParent)
            break;
          obj = obj.offsetParent;
        }
    else if(obj.y)
        curtop += obj.y;
    return curtop;
 }
/* ------------------------ CENTROVAT DIV NA STRANKU ----------------- */
function JSFuncCenterDiv( sDivName ) {
	scrollbarwidth = 16;
	divobj = document.getElementById(sDivName);
	standardbody=(document.compatMode=="CSS1Compat")? document.documentElement : document.body; //create reference to common "body" across doctypes
	ie=document.all && !window.opera;
	dom=document.getElementById;
	scroll_top=(ie)? standardbody.scrollTop-scrollbarwidth : window.pageYOffset-scrollbarwidth;
	scroll_left=(ie)? standardbody.scrollLeft : window.pageXOffset;
	docwidth=(ie)? standardbody.clientWidth : window.innerWidth-scrollbarwidth;
	docheight=(ie)? standardbody.clientHeight: window.innerHeight;
	docheightcomplete=(standardbody.offsetHeight>standardbody.scrollHeight)? standardbody.offsetHeight : standardbody.scrollHeight; //Full scroll height of document
	objwidth=divobj.offsetWidth; //width of div element
	objheight=divobj.offsetHeight; //height of div element
	topposition=(docheight>objheight)? scroll_top+docheight/2-objheight/2+"px" : scroll_top+10+"px"; //Vertical position of div element: Either centered, or if element height larger than viewpoint height, 10px from top of viewpoint
	divobj.style.left=docwidth/2-objwidth/2+"px"; //Center div element horizontally
	divobj.style.top=Math.floor(parseInt(topposition))+"px";
	divobj.style.position="absolute";
	divobj.style.visibility="visible";
}

/* ------------------------ CHECK True/False ------------------------- */
function JSFuncReturnCheckboxTrueFalse(SetObjectId) {
	if ( SetObjectId.checked ) {
		return 1;
	} else {
		return 0;
	}
}

function JSFuncChangeChecked( StrObj, t ) { // zmeni oznacenie v poli checkboxov
	// StrObj[..] -> ID checkboxov pre zmenu
	// t = typ [i=invertovat (string), true=oznacit vsetko (bool), false=odznacit vsetko (bool)]
	var i=0;
	var obj;
	while ( document.getElementById(StrObj+'['+i+']') ) {
		obj = document.getElementById(StrObj+'['+i+']');
		if( t=="i" ) { // invertovat
				obj.checked = ( obj.checked ) ? false : true ;
		} else { // true=oznacit || false=odznacit
				obj.checked = t;
		}
		i++;
	};
}

/* -----------------------------  WW Editor - Assetmanager ---------------------------- */
function JSLocalFuncOpenAssetmanager (JSForm, JSElement, JSAction, JSGetAdd, JSUrlPrefix) {
	url = './editor/assetmanager/assetmanager.php';
	if (JSUrlPrefix) {url = JSUrlPrefix + url;}
	if (JSGetAdd) {url = url + '?' + JSGetAdd;}
	AMPath = showModalDialog(url, 'assetmanager', 'dialogWidth=800px;dialogHeight=600px;edge:Raised;center:Yes;help:No;resizable:Yes;status:No;');
	if (AMPath) {
		document.forms[JSForm].elements[JSElement].value = AMPath;
	}
}
function JSFuncOpenAssetmanager(JSElement, JSGetAdd, JSUrlPrefix) {
	var JSUrlPrefix;
	var url;
	JSUrlPrefix = (JSUrlPrefix) ? JSUrlPrefix : '.';
	url = JSUrlPrefix+'/editor/assetmanager/assetmanager.php';
	if (JSGetAdd) {url = url + '?' + JSGetAdd;}
	AMPath = showModalDialog(url, 'assetmanager', 'dialogWidth=800px;dialogHeight=600px;edge:Raised;center:Yes;help:No;resizable:Yes;status:No;');
	if (AMPath) {
		document.getElementById(JSElement).value = AMPath;
		return true;
	} else {
		return false;
	}
}
/* ----------------- Zobrazit / Schovat element -------------------- */
function toggleElement(id) {     
	if(!document.getElementById) return;
	var elem = document.getElementById(id);
	elem.style.display = (elem.style.display == 'block') ? 'none' : 'block';
}

/* ----------------- COLAPSE ---------------------------------- */
function JSColapse(SetID) {
	if (document.getElementById(SetID).style.display == 'none') {
		document.getElementById(SetID).style.display = 'block';
	} else {
		document.getElementById(SetID).style.display = 'none';
	}
}

/* ----------------- OBRAZKY ----------- */
function view(src) {window.open(src,"Obrazok","resizable=yes,scrollbars=yes,width=700,height=500,top=10,left=10");}
function m_prijezd(tl_x,obr_x) {tl_x.src = (obr_x);}
function m_odjezd(tl_x,obr_y) {tl_x.src = (obr_y);}
function m_klik(tl_x,obr_z) {tl_x.src = (obr_z);}

/* ------------ Check browser ----------- */
// Browser Detection Javascript
// copyright 1 February 2003, by Stephen Chapman, Felgall Pty Ltd
// You have permission to copy and use this javascript provided that
// the content of the script is not changed in any way.
function whichBrs() {
	var agt=navigator.userAgent.toLowerCase();
	if (agt.indexOf("opera") != -1) return 'Opera';
	if (agt.indexOf("staroffice") != -1) return 'Star Office';
	if (agt.indexOf("webtv") != -1) return 'WebTV';
	if (agt.indexOf("beonex") != -1) return 'Beonex';
	if (agt.indexOf("chimera") != -1) return 'Chimera';
	if (agt.indexOf("netpositive") != -1) return 'NetPositive';
	if (agt.indexOf("phoenix") != -1) return 'Phoenix';
	if (agt.indexOf("firefox") != -1) return 'Firefox';
	if (agt.indexOf("safari") != -1) return 'Safari';
	if (agt.indexOf("skipstone") != -1) return 'SkipStone';
	if (agt.indexOf("msie") != -1) return 'Internet Explorer';
	if (agt.indexOf("netscape") != -1) return 'Netscape';
	if (agt.indexOf("mozilla/5.0") != -1) return 'Mozilla';
	if (agt.indexOf('\/') != -1) {
	if (agt.substr(0,agt.indexOf('\/')) != 'mozilla') {
	return navigator.userAgent.substr(0,agt.indexOf('\/'));}
	else return 'Netscape';} else if (agt.indexOf(' ') != -1)
	return navigator.userAgent.substr(0,agt.indexOf(' '));
	else return navigator.userAgent;
}
var browserName = whichBrs(); 

/* ------------ dialogove okna ----------- */
function openModalDialog(url,width,height) {
	if (browserName == "Internet Explorer") {
		navratka = window.showModalDialog(url, window,"dialogWidth:"+width+"px;dialogHeight:"+height+"px;edge:Raised;center:Yes;help:No;resizable:No;status:No");
	} else {
		navratka = window.open(url, window, 'width='+width+',height='+height+',toolbar=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,modal=yes');
	}
	return navratka;
}
function openModalessDialog(url,width,height) {
	if (browserName == "Internet Explorer") {
		navratka = window.showModalessDialog(url, window,"dialogWidth:"+width+"px;dialogHeight:"+height+"px;edge:Raised;center:Yes;help:No;resizable:No;status:No");
	} else {
		navratka = window.open(url, window, 'width='+width+',height='+height+',toolbar=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,modal=yes');
	}
	return navratka;
}

// dialog. okno pre funkciu FuncGetQuestionWindow z function.php
function FuncGetQuestionWindow(SetIDQuestion, SetIDWindow, SetWidth, SetHeight, SetUrlPrefix) {
	var QuestionWindowReturnValue;
	if (!SetUrlPrefix) { SetUrlPrefix = ""; }
	url = SetUrlPrefix + "./library/questionwindow.php?ID=" + SetIDQuestion;
	if (browserName == "Internet Explorer") {
		QuestionWindowReturnValue = window.showModalDialog(url, SetIDWindow, "dialogWidth:"+SetWidth+"px;dialogHeight:"+SetHeight+"px;edge:Raised;center:Yes;help:No;resizable:Yes;status:No");
		// QuestionWindowReturnValue = window.open(url, SetIDWindow, 'width='+SetWidth+',height='+SetHeight+',toolbar=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,modal=yes');
	} else {
		QuestionWindowReturnValue = window.open(url, SetIDWindow, 'width='+SetWidth+',height='+SetHeight+',toolbar=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,modal=yes');
	}
	return QuestionWindowReturnValue;
}

// dialogove okno filtra GroupBy
function JSFuncFilterGroupBy(SetForms, SetElements, SetWidth, SetHeight, SetTableName, SetFieldName, SetValue, SetWhere) {
	var ReturnValue;
	var SetIDWindow;
	SetIDWindow = Math.floor(Math.random()*5);
	url = "./library/filterwindow.php?SetTableName="+SetTableName+"&SetFieldName="+SetFieldName+"&SetValue="+SetValue+"&SetWhere="+SetWhere;
	if (browserName == "Internet Explorer") {
		ReturnValue = window.showModalDialog(url, SetIDWindow, "dialogWidth:"+SetWidth+"px;dialogHeight:"+SetHeight+"px;edge:Raised;center:Yes;help:No;resizable:Yes;status:No");
	} else {
		ReturnValue = window.open(url, SetIDWindow, 'width='+SetWidth+',height='+SetHeight+',toolbar=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes,modal=yes');
	}
	return ReturnValue;
}

/* ------------ pop up ------------------ */
function openNewWindow(SetUrl, SetName, SetWidth, SetHeight) {
	MyLeft = (screen.availWidth - SetWidth) / 2;
	MyTop  = (screen.availHeight/2) - (SetHeight/2);
	window.open(SetUrl, SetName, "resizable=yes,scrollbars=yes,width=" + SetWidth + ",height=" + SetHeight + ",top=" + MyTop + ",left=" + MyLeft);
}
/* ------------------------ CENTROVAT OKNO NA STRed obrazovky ----------------- */
function ResizeMoveCenterPopup(sirka, vyska) {
	self.resizeTo(sirka, vyska);
	MyLeft = (screen.availWidth - sirka) / 2;
	MyTop  = (screen.availHeight - (2 * vyska)) / 2;
	window.moveTo(MyLeft, MyTop);
	self.moveTo(MyLeft, MyTop);
	
}
function MaximizePopup() {
	self.moveTo(0, 0);
	self.resizeTo(screen.availWidth, screen.availHeight);
}



/* ---------------- NEED LOGIN --------- */
function JSNeedLogin() {
	// potrebne v php scripte vytvorit nasledovne:
	// -> FuncGetQuestionWindow($sID='NeedLogin', $sInfoTitle=$_SESSION["define"]["GD_PRIHLASENIE"], $sInfoText=$_SESSION["define"]["GD_NEED_LOGIN"], $sQuestionType='Info', $sQuestion='');
	// -> $_SESSION["ActiveReturnUrl"] = '?'.$_SERVER["QUERY_STRING"];
	FuncGetQuestionWindow("NeedLogin", "NeedLogin", 400, 200);
	document.location = "?IDMine=1.3";
}

/* ---------------- FORMULAR ----------- */
function InsertValueToForm(SetForm, SetElements, SetValue) {
	opener.document.forms[SetForm].elements[SetElements].value = SetValue;
	window.close();
}

/* ---------------- MAIL ----------- */
function isEmail(str) {
  // are regular expressions supported?
  var supported = 0;
  if (window.RegExp) {
    var tempStr = "a";
    var tempReg = new RegExp(tempStr);
    if (tempReg.test(tempStr)) supported = 1;
  }
  if (!supported) 
    return (str.indexOf(".") > 2) && (str.indexOf("@") > 0);
  var r1 = new RegExp("(@.*@)|(\\.\\.)|(@\\.)|(^\\.)");
  var r2 = new RegExp("^.+\\@(\\[?)[a-zA-Z0-9\\-\\.]+\\.([a-zA-Z]{2,3}|[0-9]{1,3})(\\]?)$");
  return (!r1.test(str) && r2.test(str));
}

/* ---------------- CAS ----------- */
var day;
var month;
var year;
var hour;
var minute;
var second;
var clock_set = 0;

/**
 * Opens calendar window.
 *
 * @param   string      calendar.php parameters
 * @param   string      form name
 * @param   string      field name
 * @param   string      edit type - date/timestamp
 */
function openCalendar(params, field, type) {
    MyLeft = (screen.availWidth - 400) / 2;
	MyTop  = (screen.availHeight/2) - (220/2);
	window.open("./library/calendar.php?" + params, "calendar", "width=400,height=220,top="+MyTop+",left="+MyLeft+",status=yes");
    dateField = eval("document.getElementById('"+field+"')");
    dateType = type;
}
function openCalendar2(params, field, type) {
	/*MyLeft = (screen.availWidth - 400) / 2;
	MyTop  = (screen.availHeight/2) - (220/2);
	window.open("./library/calendar.php?" + params, "calendar", "width=400,height=220,top="+MyTop+",left="+MyLeft+",status=yes");
    dateField = eval("document.getElementById('"+field+"')");
    dateType = type;*/
	alert("pouzi funkciu openCalendar");
}
/**
 * Formats number to two digits.
 *
 * @param   int number to format.
 */
function formatNum2(i, valtype) {
    f = (i < 10 ? '0' : '') + i;
    if (valtype && valtype != '') {
        switch(valtype) {
            case 'month':
                f = (f > 12 ? 12 : f);
                break;

            case 'day':
                f = (f > 31 ? 31 : f);
                break;

            case 'hour':
                f = (f > 24 ? 24 : f);
                break;

            default:
            case 'second':
            case 'minute':
                f = (f > 59 ? 59 : f);
                break;
        }
    }

    return f;
}

/**
 * Formats number to four digits.
 *
 * @param   int number to format.
 */
function formatNum4(i) {
    return (i < 1000 ? i < 100 ? i < 10 ? '000' : '00' : '0' : '') + i;
}

/**
 * Initializes calendar window.
 */
function initCalendar() {
    if (!year && !month && !day) {
        /* Called for first time */
        if (window.opener.dateField.value) {
            value = window.opener.dateField.value;
            if (window.opener.dateType == 'datetime' || window.opener.dateType == 'date' || window.opener.dateType == 'datetimeeu' || window.opener.dateType == 'dateeu') {
                if (window.opener.dateType == 'datetime' || window.opener.dateType == 'datetimeeu') {
                    parts   = value.split(' ');
                    value   = parts[0];

                    if (parts[1]) {
                        time    = parts[1].split(':');
                        hour    = parseInt(time[0],10);
                        minute  = parseInt(time[1],10);
                        second  = parseInt(time[2],10);
                    }
                }
                if (window.opener.dateType == 'dateeu' || window.opener.dateType == 'datetimeeu') {
                    date        = value.split(".");
                    day         = parseInt(date[0],10);
                    month       = parseInt(date[1],10) - 1;
                    year        = parseInt(date[2],10);
                } else {
                    date        = value.split("-");
                    day         = parseInt(date[2],10);
                    month       = parseInt(date[1],10) - 1;
                    year        = parseInt(date[0],10);
                }
            } else {
                year        = parseInt(value.substr(0,4),10);
                month       = parseInt(value.substr(4,2),10) - 1;
                day         = parseInt(value.substr(6,2),10);
                hour        = parseInt(value.substr(8,2),10);
                minute      = parseInt(value.substr(10,2),10);
                second      = parseInt(value.substr(12,2),10);
            }
        }
        if (isNaN(year) || isNaN(month) || isNaN(day) || day == 0) {
            dt      = new Date();
            year    = dt.getFullYear();
            month   = dt.getMonth();
            day     = dt.getDate();
        }
        if (isNaN(hour) || isNaN(minute) || isNaN(second)) {
            dt      = new Date();
            hour    = dt.getHours();
            minute  = dt.getMinutes();
            second  = dt.getSeconds();
        }
    } else {
        /* Moving in calendar */
        if (month > 11) {
            month = 0;
            year++;
        }
        if (month < 0) {
            month = 11;
            year--;
        }
    }

    if (document.getElementById) {
        cnt = document.getElementById("calendar_data");
    } else if (document.all) {
        cnt = document.all["calendar_data"];
    }

    cnt.innerHTML = "";

    str = ""

    //heading table
    str += '<table class="calendar"><tr><th width="50%">';
    str += '<form method="NONE" onsubmit="return 0">';
    str += '<a href="javascript:month--; initCalendar();">&nbsp;&laquo;&nbsp;</a> ';
    str += '<select class="calendarselect" id="select_month" name="monthsel" onchange="month = parseInt(document.getElementById(\'select_month\').value); initCalendar();">';
    for (i =0; i < 12; i++) {
        if (i == month) selected = ' selected="selected"';
        else selected = '';
        str += '<option value="' + i + '" ' + selected + '>' + month_names[i] + '</option>';
    }
    str += '</select>';
    str += ' <a href="javascript:month++; initCalendar();">&nbsp;&raquo;&nbsp;</a>';
    str += '</form>';
    str += '</th><th width="50%">';
    str += '<form method="NONE" onsubmit="return 0">';
    str += '<a href="javascript:year--; initCalendar();">&nbsp;&laquo;&nbsp;</a> ';
    str += '<select class="calendarselect" id="select_year" name="yearsel" onchange="year = parseInt(document.getElementById(\'select_year\').value); initCalendar();">';
    for (i = year - 25; i < year + 25; i++) {
        if (i == year) selected = ' selected="selected"';
        else selected = '';
        str += '<option value="' + i + '" ' + selected + '>' + i + '</option>';
    }
    str += '</select>';
    str += ' <a href="javascript:year++; initCalendar();">&nbsp;&raquo;&nbsp;</a>';
    str += '</form>';
    str += '</th></tr></table>';

    str += '<table class="calendar"><tr>';
    for (i = 0; i < 7; i++) {
        str += "<th>" + day_names[i] + "</th>";
    }
    str += "</tr>";

    var firstDay = new Date(year, month, 1).getDay();
    var lastDay = new Date(year, month + 1, 0).getDate();

    str += "<tr>";

    dayInWeek = 0;
    for (i = 0; i < firstDay; i++) {
        str += "<td>&nbsp;</td>";
        dayInWeek++;
    }
    for (i = 1; i <= lastDay; i++) {
        if (dayInWeek == 7) {
            str += "</tr><tr>";
            dayInWeek = 0;
        }

        dispmonth = 1 + month;

        if (window.opener.dateType == 'datetime' || window.opener.dateType == 'date') {
            actVal = formatNum4(year) + "-" + formatNum2(dispmonth, 'month') + "-" + formatNum2(i, 'day');
        } else if (window.opener.dateType == 'datetimeeu' || window.opener.dateType == 'dateeu') {
            actVal = formatNum2(i, 'day') + "." + formatNum2(dispmonth, 'month') + "." + formatNum4(year);
		} else {
            actVal = "" + formatNum4(year) + formatNum2(dispmonth, 'month') + formatNum2(i, 'day');
        }
        if (i == day) {
            style = ' class="selected"';
        } else {
            style = '';
        }
        str += "<td" + style + "><a href=\"javascript:returnDate('" + actVal + "');\">" + i + "</a></td>"
        dayInWeek++;
    }
    for (i = dayInWeek; i < 7; i++) {
        str += "<td>&nbsp;</td>";
    }

    str += "</tr></table>";

    cnt.innerHTML = str;

    // Should we handle time also?
    if (!(window.opener.dateType == 'date' || window.opener.dateType == 'dateeu') && !clock_set) {

        if (document.getElementById) {
            cnt = document.getElementById("clock_data");
        } else if (document.all) {
            cnt = document.all["clock_data"];
        }

        str = '';
        str += '<form class="clock">';
        str += '<input id="hour"    type="text" size="2" maxlength="2" onblur="this.value=formatNum2(this.value, \'hour\')" value="' + formatNum2(hour, 'hour') + '" />:';
        str += '<input id="minute"  type="text" size="2" maxlength="2" onblur="this.value=formatNum2(this.value, \'minute\')" value="' + formatNum2(minute, 'minute') + '" />:';
        str += '<input id="second"  type="text" size="2" maxlength="2" onblur="this.value=formatNum2(this.value, \'second\')" value="' + formatNum2(second, 'second') + '" />';
        str += '</form>';

        cnt.innerHTML = str;
        clock_set = 1;
    }

}

/**
 * Returns date from calendar.
 *
 * @param   string     date text
 */
function returnDate(d) {
    txt = d;
    if (!(window.opener.dateType == 'date' || window.opener.dateType == 'dateeu')) {
        // need to get time
        h = parseInt(document.getElementById('hour').value,10);
        m = parseInt(document.getElementById('minute').value,10);
        s = parseInt(document.getElementById('second').value,10);
        if (window.opener.dateType == 'datetime' || window.opener.dateType == 'datetimeeu') {
            txt += ' ' + formatNum2(h, 'hour') + ':' + formatNum2(m, 'minute') + ':' + formatNum2(s, 'second');
        } else {
            // timestamp
            txt += formatNum2(h, 'hour') + formatNum2(m, 'minute') + formatNum2(s, 'second');
        }
    }

    window.opener.dateField.value = txt;
    window.opener.dateField.focus();
    window.close();
}